function simulateDrop(file) {
  const dataTransfer = new DataTransfer();
  dataTransfer.items.add(file);
  const event = new DragEvent('drop', { dataTransfer });
  document.body.dispatchEvent(event);
}

const i = document.createElement('input');
i.setAttribute('type', 'file');
i.addEventListener('change', (e) => {
  const [file] = e.target.files;
  simulateDrop(file);
});
document.body.appendChild(i);
